summaryrefslogtreecommitdiff
path: root/plugins/MirOTR/ekhtml/testsuite/test_crazypage.sh
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/MirOTR/ekhtml/testsuite/test_crazypage.sh')
-rw-r--r--plugins/MirOTR/ekhtml/testsuite/test_crazypage.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/plugins/MirOTR/ekhtml/testsuite/test_crazypage.sh b/plugins/MirOTR/ekhtml/testsuite/test_crazypage.sh
new file mode 100644
index 0000000000..adcd98c97f
--- /dev/null
+++ b/plugins/MirOTR/ekhtml/testsuite/test_crazypage.sh
@@ -0,0 +1,16 @@
+#! /bin/bash
+
+for ntags in 1 10 100 1000
+do
+ for bogus in 0 1
+ do
+ python gen_html.py $ntags $bogus > crazy.page
+ for bytesize in 1 13 162 983 8192
+ do
+ echo numElements=$ntags allowBogusTags=$bogus feedSize=$bytesize
+ ./tester $bytesize < crazy.page > ek.test
+ ./pyparser.py < crazy.page > py.test
+ diff -i -u ek.test py.test || exit 1
+ done
+ done
+done